Tecnologia e non solo

aprile 18, 2008

Kernel 2.6.25

Filed under: Edicola — telperion @ 11:09 am

immagine kernel 2.6.25

Maggiori informazioni sulle novità qui.

Compilano i driver Nvidia 173.08 quelli precedenti no.
Nessun problema con il modulo di Virtualbox

Noto che vedo maggiore attività di scrittura sul disco nel monitor di sistema,
per il resto tutto bene.

Debian SID e Arch Linux
2.6.24 debian sid
nessun problema riscontrato.

21 commenti

  1. io sono su sid e uso nvidia-kernel-source patchato dal team debian, compilando i driver come modulo con make-kpkg modules, e per ora ci sono errori di compilazione che non consentono di costruire il modulo😦

    Commento di luca — aprile 18, 2008 @ 3:13 pm

  2. @luca
    per ora se vuoi puoi rimuovere i pacchetti nvidia ed installare dal NVIDIA-Linux-x86-173.08-pkg1.run
    che compila perfettamente sia col .25 che con i precedenti.

    Commento di telperion — aprile 18, 2008 @ 3:41 pm

  3. bello pieno il changelog … c’e’ da leggere con calma
    vediamo se riesco a provarlo sulla “zabaiona”🙂 prima che mi scassi gli “zebedei”

    Commento di LuNa — aprile 18, 2008 @ 9:42 pm

  4. a me questi driver nvidia risultavano lentucci e son tornato ai 169.12. bah!

    Commento di Algol — aprile 19, 2008 @ 9:33 am

  5. @telperion: scusa la domanda idiota (forse)
    che procedura usi per il vanilla su gentoo ?
    a me genkernel con l’oldconfig crea roba farlocca
    poi sono andato a controllare bene bene
    non mi mette moduli
    non mi mette un’ h …..
    genkernel dovrebbe configurarmi l’hardware in teoria
    ma a quanto vedo mi lascia senza un cavolo di modulo (niente ide e niente sata per cominciare, nemmeno uno)
    un monolitico io non sono in grado di crearmelo non sono così avanti …

    Commento di LuNa — aprile 21, 2008 @ 2:09 pm

  6. @Luna:
    eselect kernel list
    eselect kernel set numero-kernel-che-vuoi

    (equivale a settare il link simbolico linux in /usr/src)

    poi vai in /usr/src e copi il file .config del vecchio kernel
    nella cartella del nuovo e fai un bel make oldconfig.

    Poi fai:
    genkernel --no-clean --menuconfig all

    che non cancella il config (buono anche per ricompilare con qualche modulo/opzione cambiata)
    ti riapre il menuconfig per eventuali modifiche e poi compila installa tutto.

    Questo il sistema che uso io. Per ogni dubbio:
    http://www.gentoo.org/doc/it/genkernel.xml

    Commento di telperion — aprile 21, 2008 @ 2:19 pm

  7. trovato
    in pratica c’e’ un bug
    che non funza tra 2.6.25 e genkernel 3.4.9
    sono i bug che inseguono me🙂
    http://bugs.gentoo.org/show_bug.cgi?id=212031

    Commento di LuNa — aprile 21, 2008 @ 2:42 pm

  8. mc@gentoobox ~ $ eix genkernel
    [I] sys-kernel/genkernel
    Available versions: 3.4.9 [m](~)3.4.10_pre7 [m](~)3.4.10_pre8 [m](~)3.4.10_pre9 [m]**9999 {bash-completion ibm selinux}
    Installed versions: 3.4.9

    i ho la 3.4.9 e non ho problemi. (Li ho con le versioni successive che ho mascherato [m])

    ricordati che devi passare il parametro al kernel nel grub real_root=/dev/sdx

    http://www.gentoo.org/doc/it/handbook/handbook-x86.xml?part=1&chap=10
    Codice 2.4: grub.conf per utenti che hanno usato genkernel

    Commento di telperion — aprile 21, 2008 @ 3:05 pm

  9. gia’ passato
    pero’ se segui quel link il bug esiste eccome
    adesso mi sono un po’ rotto e provo con un monolitico
    genkernel mi pare un pò na skifezzetta

    Commento di LuNa — aprile 21, 2008 @ 3:12 pm

  10. stavo per scrivere … è proprio il bug che ho io
    ovvero device unbootabili

    Commento di LuNa — aprile 21, 2008 @ 3:15 pm

  11. genkernel è ottimo.
    Se lo usi in automatico devi prima impostare il config di default
    zcat /proc/config.gz > /usr/share/genkernel/x86/kernel-config-2.6
    oppure /usr/share/genkernel/x86_64 per a64

    oppure lo usi in manuale come detto nel commento 6

    Commento di telperion — aprile 21, 2008 @ 3:20 pm

  12. naturalmente :
    luna@sabayon64 /lib/modules $ equo query installed genkernel
    >> @@ Searching…
    >> @@ Package: sys-kernel/genkernel-3.4.9-r12 branch: 3.5
    >> Keyword: genkernel
    >> Found: 1 entries

    e se non sono scemo io il 3.5 final ancora deve uscire😀

    [EDIT] la prossima versione è la 3.4.10 non la 3.5

    Commento di LuNa — aprile 21, 2008 @ 3:23 pm

  13. genkernel è ottimo.

    talmente ottimo che il bug me lo sono beccato io😀

    Commento di LuNa — aprile 21, 2008 @ 3:24 pm

  14. no non sono scemo

    luna@sabayon64 /lib/modules $ sudo autounmask sys-kernel/genkernel-3.5
    Password:

    autounmask version 0.21 (using PortageXS-0.02.07 and portage-2.1.5_rc1)

    * Using repositories:

    * gentoo (/usr/portage):
    sys-kernel/genkernel-3.4.10_pre8
    sys-kernel/genkernel-3.4.10_pre9
    sys-kernel/genkernel-3.4.9
    sys-kernel/genkernel-3.4.10_pre7
    sys-kernel/genkernel-9999

    * Please pick one of the versions given above and try again.

    luna@sabayon64 /lib/modules $

    non esiste ancora

    [EDIT] la prossima versione è la 3.4.10, non la 3.5, come vedi dal portage gentoo

    Commento di LuNa — aprile 21, 2008 @ 3:27 pm

  15. @about edit: scusa è vero, ho scritto a cavolo io, comunque quella che deve arrivare è quella che corregge il mio bug

    Commento di LuNa — aprile 21, 2008 @ 4:20 pm

  16. per quello che ti ho chiesto la procedura
    quella che utilizzi tu è la stessa che uso io
    salvo una cosa: quando dai genkernel ti fa l’oldconfig lui stesso (lo vedi chiaramente dai suoi stessi log)
    quindi teoricamente dando oldconfig a mano non fai altro che farlo 2 volte

    Commento di LuNa — aprile 21, 2008 @ 4:26 pm

  17. dunque… sto vedendo con un monolitico, che panica ed ho questo bug
    http://readlist.com/lists/vger.kernel.org/linux-kernel/95/479209.html
    te l’ho detto, sono i bug che inseguono me non io che li trovo….😛

    Commento di LuNa — aprile 21, 2008 @ 4:38 pm

  18. @Luna fa l’oldconfig lui stesso con il config /usr/share/genkernel/x86/kernel-config-2.6
    che magari non è necessariamente quello che voglio quando lo faccio a mano (cioè sempre).

    Io ho scaricato vanilla-sources-2.6.25 compilato sulla x86 con genkernel genkernel-3.4.9 problemi zero.

    gentoo-sources-2.6.25 aveva qualche problemino e si bloccava la compilazione.

    gentoo-sources-2.6.25-r1 è ok.

    Vai da un esorcista (e magari usa una x86 anzichè x86-64 ancora acerba e piena di bugs)

    Commento di telperion — aprile 21, 2008 @ 5:09 pm

  19. Vai da un esorcista

    e mi sa di si, non è la prima volta che mi cucco un casino🙂
    ribadisco: non sono io che li inseguo… sono loro che inseguono me !!!!

    Commento di LuNa — aprile 21, 2008 @ 5:14 pm

  20. risolto

    [Esorcista mode ON]
    emerso kernel 2.6.25-sabayon e riavviato
    emerso sorgente del 2.6.25-vanilla
    genkernel –menuconfig all e compilazione
    riavvio e non trova root (prima non arrivava a init assolutamente)
    Cambio completo di HD prima visto come SDC, adesso visto come HDA !!!!!! (ma che cazz) informazione tratta da consolle di emergenza in manteinance mode tramite /proc
    aggiornamento di grub
    aggiornamento di fstab
    reboot e tutto OK
    [Esorcista mode OFF]

    eccheccacchio però.

    Commento di LuNa — aprile 22, 2008 @ 9:35 am

  21. Se però usavi makeoldconfig con il file .conf che avevi quando vedevi sdc, ti restava uguale, evidentemente ne hai usato un altro che usa la vecchia interfaccia IDE (che tra l’altro preferisco perche sdx ha il limite della 15 partizioni ed io ne ho 19)
    Attualmente con sdx ho solo Archlinux e Hardy

    Commento di telperion — aprile 22, 2008 @ 10:37 am


RSS feed for comments on this post.

Crea un sito o un blog gratuitamente presso WordPress.com.

%d blogger cliccano Mi Piace per questo: